Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class DocTermOrdsRewriteMethod

    java.lang.Object
      org.apache.lucene.search.MultiTermQuery.RewriteMethod
          org.apache.lucene.search.DocTermOrdsRewriteMethod

    public final class DocTermOrdsRewriteMethod

extends MultiTermQuery.RewriteMethod

Rewrites MultiTermQueries into a filter, using DocTermOrds for term enumeration.

This can be used to perform these queries against an unindexed docvalues field.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DocTermOrdsRewriteMethod()`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`Query` | `rewrite(IndexReader reader, MultiTermQuery query)`

Methods inherited from class org.apache.lucene.search.MultiTermQuery.RewriteMethod
`getTermsEnum`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocTermOrdsRewriteMethod

    public DocTermOrdsRewriteMethod()

Method Detail

### rewrite

    public Query rewrite(IndexReader reader,
                         MultiTermQuery query)

  Specified by:
    `rewrite` in class `MultiTermQuery.RewriteMethod`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.